/**********************************************************************
 * Class ErrorHandler
 *  
 * Copyright (c) 2011-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Thomas Haidlas -- German National Library
 * Kadir Karaca Kocer -- German National Library
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 * 
 * 2012-04-03 Port to Maven by Timo Heck & Karaca Kocer
 * 2011-12-12 License information and JavaDocs by Karaca Kocer
 * Created on 2011-12-08 by Thomas Haidlas -- German National Library
 ********************************************************************/

package org.nbnResolving.resolver.controller.error;

import org.nbnResolving.pidef.HeaderType;
import org.nbnResolving.pidef.MessageType;
import org.nbnResolving.pidef.PidefDocument;
import org.nbnResolving.resolver.Constants;
import org.nbnResolving.resolver.PidefDocumentGenerator;

public class ErrorHandler {

	public static PidefDocument getErrorDocument(String requestUrl, String providerId, Exception e) {
		PidefDocument doc = PidefDocumentGenerator.generateNewPidefDocument();
		HeaderType header = doc.getPidef().getHeader();
		header.setRequest(requestUrl);
		header.setStatusCode(Constants.ERROR_DURING_RESOLVING);
		header.setSource(providerId);
		MessageType msg = header.addNewMessage();
		msg.setLang("en");
		msg.setStringValue(e.getMessage());
		return doc;
	}
}
